Package org.apache.nutch.service.impl

## Class LinkReader

- java.lang.Object
- - org.apache.nutch.service.impl.LinkReader

- All Implemented Interfaces:
    `NutchReader`

      public class LinkReader
      extends Object
      implements NutchReader

- - ### Field Summary

    - ### Fields inherited from interface org.apache.nutch.service.NutchReader

      `conf, LOG`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LinkReader()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `count​(String path)` |
    `List<HashMap<String,​String>>` | `head​(String path, int nrows)` |
    `List<HashMap<String,​String>>` | `read​(String path)` |
    `List<HashMap<String,​String>>` | `slice​(String path, int start, int end)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LinkReader

          public LinkReader()

  - ### Method Detail

    - #### read

          public List<HashMap<String,​String>> read​(String path)
                                                  throws FileNotFoundException

      Specified by:
        `read` in interface `NutchReader`
      Throws:
        `FileNotFoundException`

    - #### head

          public List<HashMap<String,​String>> head​(String path,
                                                         int nrows)
                                                  throws FileNotFoundException

      Specified by:
        `head` in interface `NutchReader`
      Throws:
        `FileNotFoundException`

    - #### slice

          public List<HashMap<String,​String>> slice​(String path,
                                                          int start,
                                                          int end)
                                                   throws FileNotFoundException

      Specified by:
        `slice` in interface `NutchReader`
      Throws:
        `FileNotFoundException`

    - #### count

          public int count​(String path)
                    throws FileNotFoundException

      Specified by:
        `count` in interface `NutchReader`
      Throws:
        `FileNotFoundException`